Name:           nethogs
Version:        0.8.7
Release:    2%{?dist}
Summary:        A tool resembling top for network traffic

License:        GPL+
URL:            https://github.com/raboof/nethogs/

Source0:        https://github.com/raboof/nethogs/archive/v%{version}/nethogs-%{version}.tar.gz

Requires:       ncurses 
BuildRequires: make
BuildRequires:  libstdc++-devel, ncurses-devel, libpcap-devel, gcc-c++

%description
NetHogs is a small "net top" tool.

Instead of breaking the traffic down per protocol or per subnet, like
most such tools do, it groups bandwidth by process and does not rely
on a special kernel module to be loaded.

So if there's suddenly a lot of network traffic, you can fire up
NetHogs and immediately see which PID is causing this, and if it's
some kind of spinning process, kill it.

%prep
%setup -q 

%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}" %{name}

%install
rm -rf "%{buildroot}"

mkdir -p "%{buildroot}%{_sbindir}"
install -m 0755 src/nethogs "%{buildroot}%{_sbindir}/"

mkdir -p "%{buildroot}%{_mandir}/man8"
install -m 0644 doc/nethogs.8 "%{buildroot}%{_mandir}/man8/"

%files
%doc INSTALL DESIGN README.md
%{_sbindir}/nethogs
%doc %{_mandir}/man*/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.8.7-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.7-1
- initial build
